security/pinentry-gtk2 - The NetBSD Packages Collection

Applications for entering PINs or Passphrases, GTK+ enabled

This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.
It provides programs for several graphical toolkits, such as FLTK,
GTK+ and QT, as well as for the console, using curses.

This package contains the GTK2 frontend.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/pkgconf

Runtime dependencies

security/libassuan2 security/libgpg-error security/libgpg-error x11/gtk2 x11/gtk2 security/libgpg-error x11/gtk2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 8.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 8.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 8.0i386pinentry-gtk2-1.1.1.tgz
NetBSD 8.0i386pinentry-gtk2-1.1.1.tgz
NetBSD 8.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 8.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 8.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 8.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 8.0x86_64pinentry-gtk2-1.1.1.tgz
NetBSD 8.0x86_64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0aarch64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0aarch64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0aarch64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0alphapinentry-gtk2-1.1.1.tgz
NetBSD 9.0alphapinentry-gtk2-1.1.1.tgz
NetBSD 9.0alphapinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv6hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv6hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv6hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0earmv7hfpinentry-gtk2-1.1.1.tgz
NetBSD 9.0i386pinentry-gtk2-1.1.1.tgz
NetBSD 9.0i386pinentry-gtk2-1.1.1.tgz
NetBSD 9.0i386pinentry-gtk2-1.1.1.tgz
NetBSD 9.0mips64ebpinentry-gtk2-1.1.1.tgz
NetBSD 9.0mips64ebpinentry-gtk2-1.1.0nb9.tgz
NetBSD 9.0mips64ebpinentry-gtk2-1.1.0nb9.tgz
NetBSD 9.0mips64ebpinentry-gtk2-1.1.1.tgz
NetBSD 9.0mips64ebpinentry-gtk2-1.1.1.tgz
NetBSD 9.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0powerpcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0sparc64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0sparc64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0sparc64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0sparcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0sparcpinentry-gtk2-1.1.0nb9.tgz
NetBSD 9.0sparcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0sparcpinentry-gtk2-1.1.1.tgz
NetBSD 9.0x86_64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0x86_64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0x86_64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0x86_64pinentry-gtk2-1.1.1.tgz
NetBSD 9.0x86_64pinentry-gtk2-1.1.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.